/v2.1/accounts/{accountId}/recipient_names
Retrieves a list of all of the names associated with the email address that you pass in. This list can include variants of a single recipient’s name that are used for signing, as well as the names of multiple different recipients.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| query | optional | string | (Required) The email address for which you want to retrieve recipient names. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/recipient_names
/v2.1/accounts/{accountId}/settings
Retrieves the account settings information for the specified account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/settings
/v2.1/accounts/{accountId}/settings
Updates the account settings for the specified account.
Although the request body for this method
is a complete
accountSettingsInformation object,
you only need to provide
the properties that
you are updating.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
application/json
accountSettingsInformation
| Property | Type | Required |
|---|---|---|
| usesAPI | string | optional |
| allowACE | string | optional |
| bulkSend | string | optional |
| exitPrompt | string | optional |
| accountName | string | optional |
| allowMarkup | string | optional |
| autoNavRule | string | optional |
| enableDSPro | string | optional |
| expressSend | string | optional |
| hidePricing | string | optional |
| allowSignNow | string | optional |
| enableSearch | string | optional |
| readOnlyMode | string | optional |
| allowBulkSend | string | optional |
| allowInPerson | string | optional |
| allowWebForms | string | optional |
| enableAutoNav | string | optional |
| faxOutEnabled | string | optional |
| idCheckExpire | string | optional |
| showTutorials | string | optional |
| …708 more | object | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/settings
/v2.1/accounts/{accountId}/settings/envelope_purge_configuration
An envelope purge configuration enables account administrators to permanently remove documents and their field data from completed and voided envelopes after a specified retention period (retentionDays). This method retrieves the current envelope purge configuration for your account.
Note: To use this method, you must be an account administrator.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/settings/envelope_purge_configuration
/v2.1/accounts/{accountId}/settings/envelope_purge_configuration
An envelope purge configuration enables account administrators to permanently remove documents and their field data from completed and voided envelopes after a specified retention period (retentionDays). This method sets the envelope purge configuration for your account.
Note: To use this method, you must be an account administrator.
For more information, see Purge Envelopes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
application/json
envelopePurgeConfiguration
| Property | Type | Required |
|---|---|---|
| redactPII | string | optional |
| retentionDays | string | optional |
| purgeEnvelopes | string | optional |
| removeTabsAndEnvelopeAttachments | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/settings/envelope_purge_configuration
/v2.1/accounts/{accountId}/settings/notification_defaults
This method returns the default settings for the email notifications that signers and senders receive about envelopes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/settings/notification_defaults
/v2.1/accounts/{accountId}/settings/notification_defaults
This method changes the default settings for the email notifications that signers and senders receive about envelopes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
application/json
notificationDefaults
| Property | Type | Required |
|---|---|---|
| emailNotifications | object | optional |
| └ senderEmailNotifications | object | optional |
| └ changedSigner | string | optional |
| └ deliveryFailed | string | optional |
| └ purgeDocuments | string | optional |
| └ recipientViewed | string | optional |
| └ envelopeComplete | string | optional |
| └ withdrawnConsent | string | optional |
| └ commentsReceiveAll | string | optional |
| └ offlineSigningFailed | string | optional |
| └ senderEnvelopeDeclined | string | optional |
| └ commentsOnlyPrivateAndMention | string | optional |
| └ clickwrapResponsesLimitNotificationEmail | string | optional |
| └ powerformResponsesLimitNotificationEmail | string | optional |
| └ signerEmailNotifications | object | optional |
| └ faxReceived | string | optional |
| └ envelopeVoided | string | optional |
| └ purgeDocuments | string | optional |
| └ envelopeComplete | string | optional |
| └ envelopeDeclined | string | optional |
| └ reassignedSigner | string | optional |
| └ agentNotification | string | optional |
| └ envelopeCorrected | string | optional |
| └ commentsReceiveAll | string | optional |
| └ envelopeActivation | string | optional |
| └ offlineSigningFailed | string | optional |
| └ carbonCopyNotification | string | optional |
| └ whenSigningGroupMember | string | optional |
| └ documentMarkupActivation | string | optional |
| └ certifiedDeliveryNotification | string | optional |
| └ commentsOnlyPrivateAndMention | string | optional |
| apiEmailNotifications | object | optional |
| └ senderEmailNotifications | object | optional |
| └ changedSigner | string | optional |
| └ deliveryFailed | string | optional |
| └ purgeDocuments | string | optional |
| └ recipientViewed | string | optional |
| └ envelopeComplete | string | optional |
| └ withdrawnConsent | string | optional |
| └ commentsReceiveAll | string | optional |
| └ offlineSigningFailed | string | optional |
| └ senderEnvelopeDeclined | string | optional |
| └ commentsOnlyPrivateAndMention | string | optional |
| └ clickwrapResponsesLimitNotificationEmail | string | optional |
| └ powerformResponsesLimitNotificationEmail | string | optional |
| └ signerEmailNotifications | object | optional |
| └ faxReceived | string | optional |
| └ envelopeVoided | string | optional |
| └ purgeDocuments | string | optional |
| └ envelopeComplete | string | optional |
| └ envelopeDeclined | string | optional |
| └ reassignedSigner | string | optional |
| └ agentNotification | string | optional |
| └ envelopeCorrected | string | optional |
| └ commentsReceiveAll | string | optional |
| └ envelopeActivation | string | optional |
| └ offlineSigningFailed | string | optional |
| └ carbonCopyNotification | string | optional |
| └ whenSigningGroupMember | string | optional |
| └ documentMarkupActivation | string | optional |
| └ certifiedDeliveryNotification | string | optional |
| └ commentsOnlyPrivateAndMention | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/settings/notification_defaults
/v2.1/accounts/{accountId}/shared_access
Retrieves shared item status for one or more users and types of items.
Users with account administration privileges can retrieve shared access information for all account users. Users without account administrator privileges can only retrieve shared access information for themselves, and the returned information is limited to retrieving the status of the members of the account that are sharing their folders to the user. This is equivalent to setting the shared parameter to shared_from.
Note: This endpoint returns the shared status for the legacy Shared Envelopes feature. To use the new Shared Access feature, use the Authorizations resource.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| count | query | optional | string | The maximum number of results to return. Use Default: |
| envelopes_not_shared_user_status | query | optional | string | This query parameter works in conjunction with
|
| folder_ids | query | optional | string | A comma-separated list of folder IDs for which to return shared item information. If |
| item_type | query | optional | string | Specifies the type of shared item being requested. Valid values:
|
| search_text | query | optional | string | Filter user names based on the specified string. The wild-card ‘*’ (asterisk) can be used in the string. |
| shared | query | optional | string | A comma-separated list of sharing filters that specifies which users appear in the response.
If the current user does not have administrative privileges, only the |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
| user_ids | query | optional | string | A comma-separated list of user IDs for whom the shared item information is being requested. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/shared_access
/v2.1/accounts/{accountId}/shared_access
This sets the shared access status for one or more users or templates.
When setting user shared access, only users with account administration privileges can set shared access status for envelopes.
When setting template shared access, only users who own a template and have sharing permission or with account administration privileges can set shared access for templates.
Changes to the shared items status are not additive. The change always replaces the current status.
To change template shared access, add the query parameter item_type = templates to the request. When this is set, the user and envelopes properties are not required.
Note: This functionality is a newer version of the Update Group Share functionality.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| item_type | query | optional | string | Specifies the type of shared item being set:
|
| preserve_existing_shared_access | query | optional | string | When true, preserve the existing shared access settings. |
| user_ids | query | optional | string | A comma-separated list of IDs for users whose shared item access is being set. |
application/json
accountSharedAccess
| Property | Type | Required |
|---|---|---|
| nextUri | string | optional |
| accountId | string | optional |
| endPosition | string | optional |
| previousUri | string | optional |
| errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| sharedAccess | array | optional |
| └ user | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| └ folders | array | optional |
| └ uri | string | optional |
| └ name | string | optional |
| └ user | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| └ owner | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| └ shared | string | optional |
| └ folderId | string | optional |
| └ sharedUsers | array | optional |
| └ user | object | optional |
| └ shared | string | optional |
| └ errorDetails | object | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| └ sharedGroups | array | optional |
| └ group | object | optional |
| └ shared | string | optional |
| └ errorDetails | object | optional |
| └ parentFolderId | string | optional |
| └ parentFolderUri | string | optional |
| └ envelopes | array | optional |
| └ user | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| └ shared | string | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| └ templates | array | optional |
| └ owner | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| └ shared | string | optional |
| └ password | string | optional |
| └ templateId | string | optional |
| └ sharedUsers | array | optional |
| └ user | object | optional |
| └ shared | string | optional |
| └ errorDetails | object | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| └ sharedGroups | array | optional |
| └ group | object | optional |
| └ shared | string | optional |
| └ errorDetails | object | optional |
| └ templateName | string | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| totalSetSize | string | optional |
| resultSetSize | string | optional |
| startPosition | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/shared_access
/v2.1/accounts/{accountId}/supported_languages
Retrieves a list of supported languages that you can set for an individual recipient when creating an envelope, as well as their simple type enumeration values. These are the languages that you can set for the standard email format and signing view for each recipient.
For example, in the recipient’s email notification, this setting affects elements such as the standard introductory text describing the request to sign. It also determines the language used for buttons and tabs in both the email notification and the signing experience.
Note: Setting a language for a recipient affects only the DocuSign standard text. Any custom text that you enter for the emailBody and emailSubject of the notification is not translated, and appears exactly as you enter it.
For more information, see Set Recipient Language and Specify Custom Email Messages.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/supported_languages
/v2.1/accounts/{accountId}/unsupported_file_types
Retrieves a list of file types (mime-types and file-extensions) that are not supported for upload through the DocuSign system.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/unsupported_file_types
/v2.1/accounts/{accountId}/users/{userId}/authorization
Creates an authorization allowing one user to send and/or manage envelopes on behalf of another user.
The agent user acts on behalf of the principal user. The principal user is specified by the userId path parameter. The agent user is specified in the request body. Each principal user can only share signing permission with one agent user.
Specify in the request the level of access to share with the agent user. If you share signing access, the agent user will receive an email notification.
To call this endpoint:
AllowDelegatedSigning, AllowManagingEnvelopesOnBehalfOfOthers, AllowEditingEnvelopesOnBehalfOfOthers, AllowSendingEnvelopesOnBehalfOfOthers. These settings correspond to the level of access you can set for the authorization.| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| userId | path | required | string | The ID of the principal user. |
application/json
userAuthorizationCreateRequest
| Property | Type | Required |
|---|---|---|
| endDate | string | optional |
| agentUser | object | optional |
| └ name | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ accountId | string | optional |
| startDate | string | optional |
| permission | string | optional |
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/users/{userId}/authorization
/v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
Deletes the user authorization specified by the authorizationId.
To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| authorizationId | path | required | string | The ID of the user authorization. |
| userId | path | required | string | The ID of the principal user. |
Successful response.
Error encountered.
DELETE /v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
/v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
Returns the details for the user authorization specified by the authorizationId.
To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| authorizationId | path | required | string | The ID of the user authorization. |
| userId | path | required | string | The ID of the principal user. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
/v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
Updates the start and/or end date for a given user authorization. Specify the user authorization and principal user with the path parameters.
To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| authorizationId | path | required | string | The ID of the user authorization. |
| userId | path | required | string | The ID of the principal user. |
application/json
userAuthorizationUpdateRequest
| Property | Type | Required |
|---|---|---|
| endDate | string | optional |
| startDate | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
/v2.1/accounts/{accountId}/users/{userId}/authorizations
Delete one or more user authorizations for a given principal user. The principal user is specified by the userId path parameter.
To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorizations.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| userId | path | required | string | The ID of the principal user. |
application/json
userAuthorizationsDeleteRequest
| Property | Type | Required |
|---|---|---|
| authorizations | array | optional |
Successful response.
Error encountered.
DELETE /v2.1/accounts/{accountId}/users/{userId}/authorizations
/v2.1/accounts/{accountId}/users/{userId}/authorizations
Returns the user authorizations for which the user specified by userId is the principal user.
To call this endpoint, you must be an account administrator or you must be the specified principal user.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| userId | path | required | string | The ID of the principal user. |
| active_only | query | optional | string | When true, return only active authorizations. The default value is true. |
| count | query | optional | string | The maximum number of results to return. |
| email_substring | query | optional | string | Filters returned user records by full email address or a substring of email address. |
| include_closed_users | query | optional | string | When true, returns active and scheduled authorizations of closed users. The default value is true. This value is only applied when |
| permissions | query | optional | string | Filters results by authorization permission. Valid values:
|
| start_position | query | optional | string | The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. |
| user_name_substring | query | optional | string | Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/users/{userId}/authorizations
/v2.1/accounts/{accountId}/users/{userId}/authorizations
Create or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the agentUser and permission fields, with the optional startDate and endDate fields. To update an existing authorization, specify the authorizationId field and the startDate and/or endDate fields.
For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this:
{
"authorizations": [
{
"agentUser": {
"userId": "1470ff66-xxxx-xxxx-xxxx-8c46f140da37",
"accountId": "230546a7-xxxx-xxxx-xxxx-af205d5494ad"
},
"permission": "manage"
},
{
"authorizationId": "b73ac983-xxxx-xxxx-xxxx-b3c0ea5b09d3",
"endDate": "2023-05-09T21:36:27.0000000+00:00"
}
]
}
The principal user is specified by the userId path parameter. To call this endpoint, you must be an account administrator or the principal user.
Note: To create an authorization with signing permission, the AllowDelegationSigning setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| userId | path | required | string | The ID of the principal user. |
application/json
userAuthorizationsRequest
| Property | Type | Required |
|---|---|---|
| authorizations | array | optional |
| └ endDate | string | optional |
| └ agentUser | object | optional |
| └ name | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ accountId | string | optional |
| └ startDate | string | optional |
| └ permission | string | optional |
| └ authorizationId | string | optional |
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/users/{userId}/authorizations
/v2.1/accounts/{accountId}/users/{userId}/authorizations/agent
Returns the user authorizations for which the user specified by userId is the agent user.
If the calling user is an account administrator, the full results will be returned. Otherwise, only authorizations for which the calling user is the principal user will be returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| userId | path | required | string | The user who is acting as the agent. |
| active_only | query | optional | string | When true, only active users are returned. The default value is false. |
| count | query | optional | string | The maximum number of results to return. |
| email_substring | query | optional | string | Filters returned user records by full email address or a substring of email address. |
| include_closed_users | query | optional | string | When true, returns active and scheduled authorizations of closed users. The default value is true. This value is only applied when |
| permissions | query | optional | string | — |
| start_position | query | optional | string | The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. |
| user_name_substring | query | optional | string | Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/users/{userId}/authorizations/agent
/v2.1/accounts/{accountId}/settings/bcc_email_archives
This method retrieves all of the BCC email archive configurations associated with an account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| count | query | optional | string | The maximum number of results to return. Use |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/settings/bcc_email_archives
/v2.1/accounts/{accountId}/settings/bcc_email_archives
This method creates a BCC email archive configuration for an account (adds a BCC email address to the account for archiving the emails that DocuSign generates).
The only property that you must set in the request body is the BCC email address that you want to use.
Note: An account can have up to five active and pending email archive addresses combined, but you must use this method to add them to the account one at a time. Each email address is considered a separate BCC email archive configuration.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Boolean that specifies whether BCC for Email Archive is enabled for the account. BCC for Email Archive allows you to set up an archive email address so that a BCC copy of an envelope is sent only to that address.
application/json
bccEmailArchive
| Property | Type | Required |
|---|---|---|
| uri | string | optional |
| string | optional | |
| status | string | optional |
| created | string | optional |
| modified | string | optional |
| accountId | string | optional |
| createdBy | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| modifiedBy | object | optional |
| └ uri | string | optional |
| string | optional | |
| └ userId | string | optional |
| └ userName | string | optional |
| └ userType | string | optional |
| └ accountId | string | optional |
| └ ipAddress | string | optional |
| └ userStatus | string | optional |
| └ accountName | string | optional |
| └ loginStatus | string | optional |
| └ errorDetails | object | optional |
| └ message | string | optional |
| └ errorCode | string | optional |
| └ membershipId | string | optional |
| └ sendActivationEmail | string | optional |
| └ activationAccessCode | string | optional |
| bccEmailArchiveId | string | optional |
| emailNotificationId | string | optional |
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/settings/bcc_email_archives
/v2.1/accounts/{accountId}/settings/bcc_email_archives/{bccEmailArchiveId}
This method deletes a BCC email archive configuration from an account.
When you use this method, the status of the BCC email archive configuration switches to closed and the BCC email address is no longer used to archive DocuSign-generated email messages.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bccEmailArchiveId | path | required | string | The ID of the BCC email archive configuration. |
Successful response.
Error encountered.
DELETE /v2.1/accounts/{accountId}/settings/bcc_email_archives/{bccEmailArchiveId}
/v2.1/accounts/{accountId}/settings/bcc_email_archives/{bccEmailArchiveId}
This method returns a specific BCC email archive configuration for an account, as well as the history of changes to the email address.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bccEmailArchiveId | path | required | string | The ID of the BCC email archive configuration. |
| count | query | optional | string | The maximum number of results to return. Use |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/settings/bcc_email_archives/{bccEmailArchiveId}
/v2.1/accounts/{accountId}/billing_plan
Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card.
By default the successor plan and credit card information is included in the response. You can exclude this information from the response by adding the appropriate optional query string and setting it to false.
Response
The response returns the billing plan information, including the currency code, for the plan. The billingPlan and succesorPlans property values are the same as those shown in the Billing: getBillingPlan reference. the billingAddress and creditCardInformation property values are the same as those shown in the Billing: updatePlan reference.
Note: When credit card number information displays, a mask is applied to the response so that only the last 4 digits of the card number are visible.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| include_credit_card_information | query | optional | string | When true, payment information including credit card information will show in the return. |
| include_downgrade_information | query | optional | string | — |
| include_metadata | query | optional | string | When true, the |
| include_successor_plans | query | optional | string | When true, excludes successor information from the response. |
| include_tax_exempt_id | query | optional | string | — |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/billing_plan
/v2.1/accounts/{accountId}/billing_plan
Updates the billing plan information, billing address, and credit card information for the specified account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| preview_billing_plan | query | optional | string | When true, updates the account using a preview billing plan. |
application/json
billingPlanInformation
| Property | Type | Required |
|---|---|---|
| taxExemptId | string | optional |
| enablePreAuth | string | optional |
| enableSupport | string | optional |
| includedSeats | string | optional |
| paymentMethod | string | optional |
| renewalStatus | string | optional |
| billingAddress | object | optional |
| └ fax | string | optional |
| └ city | string | optional |
| string | optional | |
| └ phone | string | optional |
| └ state | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ lastName | string | optional |
| └ firstName | string | optional |
| └ postalCode | string | optional |
| └ supportedCountries | array | optional |
| └ name | string | optional |
| └ isoCode | string | optional |
| └ provinces | array | optional |
| └ name | string | optional |
| └ isoCode | string | optional |
| └ provinceValidated | string | optional |
| processPayment | string | optional |
| appStoreReceipt | object | optional |
| └ productId | string | optional |
| └ receiptData | string | optional |
| └ downgradeProductId | string | optional |
| └ isDowngradeCancellation | string | optional |
| downgradeReason | string | optional |
| planInformation | object | optional |
| └ addOns | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ active | string | optional |
| └ addOnId | string | optional |
| └ planId | string | optional |
| └ currencyCode | string | optional |
| └ planFeatureSets | array | optional |
| └ name | string | optional |
| └ seatFee | string | optional |
| └ fixedFee | string | optional |
| └ isActive | string | optional |
| └ isEnabled | string | optional |
| └ envelopeFee | string | optional |
| └ featureSetId | string | optional |
| └ is21CFRPart11 | string | optional |
| └ currencyFeatureSetPrices | array | optional |
| └ seatFee | string | optional |
| └ fixedFee | string | optional |
| └ envelopeFee | string | optional |
| └ currencyCode | string | optional |
| └ currencySymbol | string | optional |
| └ recipientDomains | array | optional |
| └ active | string | optional |
| └ domainCode | string | optional |
| └ domainName | string | optional |
| └ recipientDomainId | string | optional |
| └ freeTrialDaysOverride | string | optional |
| incrementalSeats | string | optional |
| paymentProcessor | string | optional |
| saleDiscountAmount | string | optional |
| referralInformation | object | optional |
| └ idType | string | optional |
| └ industry | string | optional |
| └ promoCode | string | optional |
| └ shopperId | string | optional |
| └ publisherId | string | optional |
| └ referralCode | string | optional |
| └ referrerName | string | optional |
| └ enableSupport | string | optional |
| └ externalOrgId | string | optional |
| └ groupMemberId | string | optional |
| └ includedSeats | string | optional |
| └ planStartMonth | string | optional |
| └ advertisementId | string | optional |
| └ saleDiscountAmount | string | optional |
| └ saleDiscountPercent | string | optional |
| └ saleDiscountPeriods | string | optional |
| └ saleDiscountFixedAmount | string | optional |
| └ saleDiscountSeatPriceOverride | string | optional |
| saleDiscountPercent | string | optional |
| saleDiscountPeriods | string | optional |
| creditCardInformation | object | optional |
| └ address | object | optional |
| └ fax | string | optional |
| └ city | string | optional |
| └ phone | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ zipPlus4 | string | optional |
| └ postalCode | string | optional |
| └ stateOrProvince | string | optional |
| └ cardType | string | optional |
| └ cvNumber | string | optional |
| └ cardNumber | string | optional |
| └ nameOnCard | string | optional |
| └ tokenizedCard | string | optional |
| └ cardLastDigits | string | optional |
| └ expirationYear | string | optional |
| └ expirationMonth | string | optional |
| saleDiscountFixedAmount | string | optional |
| paymentProcessorInformation | object | optional |
| string | optional | |
| └ address | object | optional |
| └ fax | string | optional |
| └ city | string | optional |
| └ phone | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ zipPlus4 | string | optional |
| └ postalCode | string | optional |
| └ stateOrProvince | string | optional |
| └ billingAgreementId | string | optional |
| …2 more | object | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/billing_plan
/v2.1/accounts/{accountId}/billing_plan/credit_card
This method returns information about a credit card associated with an account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/billing_plan/credit_card
/v2.1/accounts/{accountId}/billing_plan/downgrade
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/billing_plan/downgrade
/v2.1/accounts/{accountId}/billing_plan/downgrade
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
application/json
downgradeBillingPlanInformation
| Property | Type | Required |
|---|---|---|
| promoCode | string | optional |
| saleDiscount | string | optional |
| planInformation | object | optional |
| └ addOns | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ active | string | optional |
| └ addOnId | string | optional |
| └ planId | string | optional |
| └ currencyCode | string | optional |
| └ planFeatureSets | array | optional |
| └ name | string | optional |
| └ seatFee | string | optional |
| └ fixedFee | string | optional |
| └ isActive | string | optional |
| └ isEnabled | string | optional |
| └ envelopeFee | string | optional |
| └ featureSetId | string | optional |
| └ is21CFRPart11 | string | optional |
| └ currencyFeatureSetPrices | array | optional |
| └ seatFee | string | optional |
| └ fixedFee | string | optional |
| └ envelopeFee | string | optional |
| └ currencyCode | string | optional |
| └ currencySymbol | string | optional |
| └ recipientDomains | array | optional |
| └ active | string | optional |
| └ domainCode | string | optional |
| └ domainName | string | optional |
| └ recipientDomainId | string | optional |
| └ freeTrialDaysOverride | string | optional |
| saleDiscountType | string | optional |
| downgradeEventType | string | optional |
| saleDiscountPeriods | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/billing_plan/downgrade
/v2.1/accounts/{accountId}/billing_plan/purchased_envelopes
Reserved: At this time, this endpoint is limited to DocuSign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
application/json
purchasedEnvelopesInformation
| Property | Type | Required |
|---|---|---|
| amount | string | optional |
| appName | string | optional |
| platform | string | optional |
| quantity | string | optional |
| productId | string | optional |
| storeName | string | optional |
| receiptData | string | optional |
| currencyCode | string | optional |
| transactionId | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/billing_plan/purchased_envelopes
/v2.1/billing_plans
Retrieves a list of the billing plans associated with a distributor.
Successful response.
Error encountered.
GET /v2.1/billing_plans
/v2.1/billing_plans/{billingPlanId}
Retrieves the billing plan details for the specified billing plan ID.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| billingPlanId | path | required | string | The ID of the billing plan being accessed. |
Successful response.
Error encountered.
GET /v2.1/billing_plans/{billingPlanId}
/v2.1/accounts/{accountId}/bulk_send_batch
Returns a summary of bulk send batches.
Use the batch_ids query parameter to narrow the list of batches.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| batch_ids | query | optional | string | A comma-separated list of batch IDs to query. |
| count | query | optional | string | The maximum number of results to return. Use Valid values: |
| from_date | query | optional | string | The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. |
| search_text | query | optional | string | Use this parameter to search for specific text. |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
| status | query | optional | string | The kind of results to collect. Must be one of:
|
| to_date | query | optional | string | The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. |
| user_id | query | optional | string | — |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/bulk_send_batch
/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}
Gets the general status of a specific bulk send batch such as:
The bulkErrors property of the response object contains more information about the errors.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendBatchId | path | required | string | The batch ID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}
/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}
Updates the name of a bulk send batch.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendBatchId | path | required | string | The batch ID. |
application/json
bulkSendBatchRequest
| Property | Type | Required |
|---|---|---|
| batchName | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}
/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopes
This method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendBatchId | path | required | string | The batch ID. |
| count | query | optional | string | The maximum number of results to return. Use Valid values: |
| include | query | optional | string | When |
| order | query | optional | string | The order in which to sort the results. Valid values are:
|
| order_by | query | optional | string | The envelope attribute used to sort the results. Valid values are:
|
| search_text | query | optional | string | Use this parameter to search for specific text. |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
| status | query | optional | string | Comma-separated list of envelope statuses. Note that Use the value |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopes
/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/{bulkAction}
Use this endpoint to resend, correct, or void all envelopes from a specified bulk send.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkAction | path | required | string | The action to apply. Valid values:
|
| bulkSendBatchId | path | required | string | The batch ID. |
application/json
bulkSendBatchActionRequest
| Property | Type | Required |
|---|---|---|
| action | string | optional |
| voidReason | string | optional |
| notification | object | optional |
| └ reminders | object | optional |
| └ reminderDelay | string | optional |
| └ reminderEnabled | string | optional |
| └ reminderFrequency | string | optional |
| └ expirations | object | optional |
| └ expireWarn | string | optional |
| └ expireAfter | string | optional |
| └ expireEnabled | string | optional |
| └ useAccountDefaults | string | optional |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/{bulkAction}
/v2.1/accounts/{accountId}/bulk_send_lists
This method returns a list of bulk send lists belonging to the current user, as well as basic information about each list.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/bulk_send_lists
/v2.1/accounts/{accountId}/bulk_send_lists
This method creates a bulk send list that you can use to send an envelope to up to 1,000 recipients at once.
| Error code | Description |
|---|---|
| BULK_SEND_MAX_COPIES_EXCEEDED | A bulk sending list cannot specify more than XXX copies in the mailing list. Call the settings API endpoint to find the maximum number of copies in a batch allowed for your account. In almost all cases, the default limit is 1000. |
| BULK_SEND_RECIPIENT_IDS_MUST_BE_UNIQUE | No two recipientIds can be same within a bulkCopy. Same restriction as a regular envelope applies. Specify unique recipient IDs for each recipient within a bulkCopy (model for envelope in mailing list). |
| BULK_SEND_RECIPIENT_ID_REQUIRED | If no RoleName is present, recipientID is required in mailing list’s bulkCopy. Add a roleName (that coalesces with template/envelope) or a recipientID. |
| BULK_SEND_RECIPIENT_NAME_REQUIRED | Recipient {0} has no name. Specify a name for the recipient. |
| BULK_SEND_EMAIL_ADDRESS_REQUIRED_FOR_EMAIL_RECIPIENT | Recipient {0} is an email recipient with no email address. Specify an email for the email recipient. |
| BULK_SEND_FAX_NUMBER_REQUIRED_FOR_FAX_RECIPIENT | Recipient {0} is a fax recipient with no fax number. Specify a fax number for the fax recipient. |
| BULK_SEND_FAX_NUMBER_NOT_VALID | Recipient {0} specifies fax number {1}, which is not valid. Specify a valid fax number for the fax recipient. |
| BULK_SEND_EMAIL_ADDRESS_NOT_VALID | Recipient {0} specifies email address {1}, which is not a valid email address. Specify a valid email address for the recipient. |
| BULK_SEND_PHONE_NUMBER_REQURED_FOR_SMS_AUTH | Recipient {0} specifies SMS auth, but no number was provided. Specify a phone number for the SMS auth recipient. |
| BULK_SEND_PHONE_NUMBER_INVALID_FOR_SMS_AUTH | Recipient {0} specifies phone number {1} for SMS auth, which is not valid. Specify a valid phone number for the SMS auth recipient. |
| BULK_SEND_ROLE_NAMES_MUST_BE_UNIQUE | Recipient role names cannot be duplicated; role {duplicateRecipientRole} appears multiple times. Use unique roleNames for recipients. |
| BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_ON_SAME_RECIPIENT | Recipients cannot have both ID and Role; {0} has both. Specify a roleName or recipientId, but not both for the same recipient. |
| BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_IN_SAME_LIST | Cannot use both recipient role and ID in the same list. Specify a roleName or recipientId, but not both in the same list. |
| BULK_SEND_INVALID_ID_CHECK_CONFIGURATION | Recipient {0} specified SMS authentication, but no SMS auth settings were provided. Provide an SMS auth setting (proper ID configuration) if SMS auth is specified. |
| BULK_SEND_INVALID_SBS_INPUT_CONFIGURATION | Recipient {0} has more than one signature provider specified. Or signingProviderName is not specified. Or Signature provider : {0} is either unknown or not an available pen for this account. One or more SBS configuration is missing or invalid. The error details provide specifics. |
| BULK_SEND_TAB_LABELS_MUST_BE_UNIQUE | Tab label {0} is duplicated. Needs to be unique. Use a unique tab label. |
| BULK_SEND_TAB_LABEL_REQUIRED | Tab label is required. Specify a tab label. |
| BULK_SEND_TAB_VALUE_REQUIRED | Tab Label value is required. Specify a value for the tab label. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_MUST_BE_UNIQUE | Custom fields must have distinct names. The field {0} appears more than once in a copy. Use unique names for custom fields. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_REQUIRED | All custom fields must have names. Specify a name for the custom field. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_VALUE_REQUIRED | Custom field {0} has no value. A custom field can have an empty value, but it cannot have a null value. Specify a value for the custom field. |
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The ID of the account. |
#/components/requestBodies/bulkSendingList
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/bulk_send_lists
/v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}
This method deletes a bulk send list.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendListId | path | required | string | The GUID of the bulk send list. This property is created after you post a new bulk send list. |
Successful response.
Error encountered.
DELETE /v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}
/v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}
This method returns all of the details associated with a specific bulk send list that belongs to the current user.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendListId | path | required | string | The GUID of the bulk send list. This property is created after you post a new bulk send list. |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}
/v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}
This method replaces the definition of an existing bulk send list.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendListId | path | required | string | The GUID of the bulk send list. This property is created after you post a new bulk send list. |
#/components/requestBodies/bulkSendingList
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}
/v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}/send
This method initiates the bulk send process. It generates a bulk send request based on an existing bulk send list and an envelope or template.
Consider using the BulkSend::createBulkSendTestRequest method to test your bulk send list for compatibility with the envelope or template that you want to send first. To learn about the complete bulk send flow, see the Bulk Send overview.
If the envelopes were successfully queued for asynchronous processing, the response contains a batchId that you can use to get the status of the batch. If a failure occurs, the API returns an error message.
Note: Partial success or failure generally does not occur. Only the entire batch is queued for asynchronous processing.
This method returns the following errors:
| Error code | Description |
|---|---|
| BULK_SEND_ENVELOPE_NOT_IN_SENDABLE_STATE | Envelope {0} is not in a sendable state. The envelope is not complete. Make sure it has a sendable status, such as created. |
| BULK_SEND_ENVELOPE_LIST_CONTAINS_NO_COPIES | Cannot send an envelope with a bulk sending list which contains no copies. The list you’re trying to bulk send is empty. Make sure the bulk sending list you’re using contains recipients. |
| BULK_SEND_ENVELOPE_LIST_CONTAINS_TOO_MANY_COPIES | Bulk sending list contains more than {0} copies. The list you’re trying to bulk send will cause your account to exceed the 1,000-copy limit imposed for all accounts. Try sending two or more separate lists. |
| BULK_SEND_ENVELOPE_CANNOT_BE_NULL | Cannot send a bulk list without an envelope. Specify the envelope ID or template ID for the envelope you want to bulk send. |
| BULK_SEND_BLOB_STORE_ERROR | Could not save copy of bulk sending list. An error writing to the database occurred. Try again. If the error persists, contact DocuSign Support. |
| BULK_SEND_ACCOUNT_HAS_TOO_MANY_QUEUED_ENVELOPES | Cannot send this bulk sending list because doing so would exceed the maximum of {maxCopies} in-flight envelopes. This account currently has {unprocessedEnvelopes} envelopes waiting to be processed. Please try again later.” .Try again later, or contact DocuSign Support to request a higher tier. |
| BULK_SEND_ENVELOPE_NOT_FOUND | Envelope {envelopeOrTemplateId} does not exist or you do not have permission to access it. The envelopeId or templateId specified could not be found. Specify a valid value. |
| BULK_SEND_LIST_NOT_FOUND | Bulk Sending list {listId} does not exist or you do not have permission to access it. The mailingListId specified could not be found. Specify a valid value. |
| BULK_SEND_ENVELOPE_HAS_NO_RECIPIENTS | Bulk sending copy contains recipients, but the specified envelope does not. The recipients on the envelope and the bulk send list do not match. Make sure the envelope and list are compatible for sending. |
| BULK_SEND_RECIPIENT_ID_DOES_NOT_EXIST_IN_ENVELOPE | Recipient {0} does not exist in the envelope. Add the missing recipient to the envelope. |
| BULK_SEND_RECIPIENT_ID_DOES_NOT_MATCH | Recipient ID {envelopeMember.ID} does not match. Make sure the recipient information in the list and the envelope match up. |
| BULK_SEND_ENVELOPE_HAS_BULK_RECIPIENT | Recipient {0} is a bulk recipient. This is not supported. No legacy ‘bulk recipient’ allowed. In v2.1 of the eSignature API, you must use a bulk send list instead of a bulk recipient. See the API documentation for details. |
| BULK_SEND_RECIPIENT_ROLE_DOES_NOT_MATCH | Recipient Role {envelopeMember.RoleName} does not match. Make sure the recipient information in the list and the envelope is compatible. |
| BULK_SEND_DUPLICATE_RECIPIENT_DETECTED | Duplicate recipients ({0}) not allowed, unless recipients have unique routing order specified on envelope. |
| BULK_SEND_ENVELOPE_HAS_NO_TABS | Bulk sending copy contains tabs, but the specified envelope does not. List and envelope tabs cannot be coalesced. Make sure they are compatible for sending. |
| BULK_SEND_TAB_LABEL_DOES_NOT_EXIST_IN_ENVELOPE | Tab with label {0} does not exist in envelope. Add the tab label to the envelope, remove the label from the list, or make sure you’re specifying the correct list and envelope. |
| BULK_SEND_TAB_DOES_NOT_MATCH | Tab {0} does not match {0} in envelope. A tab exists on the list that does not match or is missing on the envelope. Make sure the tabs on the list and the envelope match. |
| BULK_SEND_ENVELOPE_HAS_NO_ENVELOPE_CUSTOM_FIELDS | Bulk sending copy contains custom fields, but the specified envelope does not. There are custom fields on the list that the envelope does not have. Make sure that any custom fields on the list and the envelope match. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_DOES_NOT_EXIST_IN_ENVELOPE | Custom field {0} does not exist in the envelope. Either add the custom field on the list to the envelope, remove the custom field from the list, or make sure you’re specifying the correct list and envelope. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_DOES_NOT_MATCH | Custom field names must match. {0} and {1} do not match. The custom field names on the list and the envelope do not match. Use identical names for both. |
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendListId | path | required | string | The GUID of the bulk send list. This property is created after you post a new bulk send list. |
#/components/requestBodies/bulkSendRequest
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}/send
/v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}/test
This method tests a bulk send list for compatibility with the envelope or template that you want to send. For example, a template that has three roles is not compatible with a bulk send list that has only two recipients. For this reason, you might want to test compatibility first.
A successful test result returns true for the canBeSent property. An unsuccessful test returns a JSON response that contains information about the errors that occurred.
If the test is successful, you can then send the envelope or template by using the BulkSend::createBulkSendRequest method.
This section describes the envelope compatibility checks that the system performs.
Top-Level Issues
Recipients
Recipient Tabs
recipient ID, tab label pair in the bulk send list must correspond to a tab in the envelope.Custom Fields
customField in the| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| bulkSendListId | path | required | string | The GUID of the bulk send list. This property is created after you post a new bulk send list. |
#/components/requestBodies/bulkSendRequest
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/bulk_send_lists/{bulkSendListId}/test
/v2.1/accounts/{accountId}/chunked_uploads
This method initiates a new chunked upload with the first part of the content.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
#/components/requestBodies/chunkedUploadRequest
Successful response.
Error encountered.
POST /v2.1/accounts/{accountId}/chunked_uploads
/v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}
Deletes a chunked upload that has been committed but not yet consumed.
This method cannot be used to delete the following types of chunked uploads, which the system deletes automatically:
Note: If you are aware of a chunked upload that can be discarded, the best practice is to explicitly delete it. If you wait for the system to automatically delete it after it expires, the chunked upload will continue to count against your quota.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| chunkedUploadId | path | required | string | The ID of the chunked upload. |
Successful response.
Error encountered.
DELETE /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}
/v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}
Returns the details (but not the content) about a chunked upload.
Note: You cannot obtain details about a chunked upload that has expired, been deleted, or consumed by other actions.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| chunkedUploadId | path | required | string | The ID of the chunked upload. |
| include | query | optional | string | (Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}
/v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}
This method checks the integrity of a chunked upload and then commits it. When this request is successful, the chunked upload is then ready to be referenced in other API calls.
If the request is unsuccessful, ensure that you have uploaded all of the parts by using the Update method.
Note: After you commit a chunked upload, it no longer accepts additional parts.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | (Required) The external account number (int) or account ID GUID. |
| chunkedUploadId | path | required | string | (Required) The ID of the chunked upload to commit. |
| action | query | optional | string | (Required) You must use this query parameter with the value |
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}
/v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/{chunkedUploadPartSeq}
Adds a chunk or part to an existing chunked upload. After you use the Create method to initiate a new chunked upload and upload the first part,
use this method to upload subsequent parts.
For simplicity, DocuSign recommends that you upload the parts in their sequential order ( 1,2, 3, 4, etc.). The Create method adds the first part and assigns it the sequence value 0. As a result, DocuSign recommends that you start with a sequence value of 1 when you use this method, and continue uploading parts contiguously until you have uploaded the entirety of the original content to DocuSign.
Example:
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/1
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/2
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/3
Note: You cannot replace a part that DocuSign has already received, or add parts to a chunked upload that is already successfully committed.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| chunkedUploadId | path | required | string | The ID of the chunked upload. |
| chunkedUploadPartSeq | path | required | string | The sequence or order of the part in the chunked upload. By default, the sequence of the first part that is uploaded as part of the Create request is Note: You can add parts out of order. However, the chunked upload must consist of a contiguous series of one or more parts before you can successfully commit it. |
#/components/requestBodies/chunkedUploadRequest
Successful response.
Error encountered.
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/{chunkedUploadPartSeq}
/v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders
Retrieves a list of all the items in a specified folder from the specified cloud storage provider.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| serviceId | path | required | string | The ID of the service to access. Valid values are the service name (“Box”) or the numerical serviceId (“4136”). |
| userId | path | required | string | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings. |
| cloud_storage_folder_path | query | optional | string | A comma separated list of folder IDs included in the request. |
| count | query | optional | string | The maximum number of results to return. Use Default: |
| order | query | optional | string | The order in which to sort the results. Valid values are:
|
| order_by | query | optional | string | The file attribute to use to sort the results. Valid values are:
|
| search_text | query | optional | string | Use this parameter to search for specific text. |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders
/v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders/{folderId}
Retrieves a list of the user’s items from the specified cloud storage provider.
To limit the scope of the items returned, provide a comma-separated list of folder IDs in the request.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| accountId | path | required | string | The external account number (int) or account ID GUID. |
| folderId | path | required | string | The ID of the folder. |
| serviceId | path | required | string | The ID of the service to access. Valid values are the service name (“Box”) or the numerical serviceId (“4136”). |
| userId | path | required | string | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings. |
| cloud_storage_folder_path | query | optional | string | The file path to a cloud storage folder. |
| cloud_storage_folderid_plain | query | optional | string | A plain-text folder ID that you can use as an alternative to the existing folder id. This property is mainly used for rooms. Enter multiple folder IDs as a comma-separated list. |
| count | query | optional | string | The maximum number of results to return. Use Default: |
| order | query | optional | string | The order in which to sort the results. Valid values are:
|
| order_by | query | optional | string | The file attribute to use to sort the results. Valid values are:
|
| search_text | query | optional | string | Use this parameter to search for specific text. |
| start_position | query | optional | string | The zero-based index of the Use with The default value is |
Successful response.
Error encountered.
GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders/{folderId}